public interface UpdateTagRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getTag()
public abstract Tag getTag()Required. The updated tag. The "name" field must be set.
.google.cloud.datacatalog.v1beta1.Tag tag = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
Tag |
The tag. |
getTagOrBuilder()
public abstract TagOrBuilder getTagOrBuilder()Required. The updated tag. The "name" field must be set.
.google.cloud.datacatalog.v1beta1.Tag tag = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
TagOrBuilder |
|
getUpdateMask()
public abstract FieldMask getUpdateMask() Note: Currently, this parameter can only take "fields" as value.
Names of fields whose values to overwrite on a tag. Currently, a tag has
the only modifiable field with the name fields.
In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.
.google.protobuf.FieldMask update_mask = 2;
| Returns | |
|---|---|
| Type | Description |
FieldMask |
The updateMask. |
getUpdateMaskOrBuilder()
public abstract FieldMaskOrBuilder getUpdateMaskOrBuilder() Note: Currently, this parameter can only take "fields" as value.
Names of fields whose values to overwrite on a tag. Currently, a tag has
the only modifiable field with the name fields.
In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.
.google.protobuf.FieldMask update_mask = 2;
| Returns | |
|---|---|
| Type | Description |
FieldMaskOrBuilder |
|
hasTag()
public abstract boolean hasTag()Required. The updated tag. The "name" field must be set.
.google.cloud.datacatalog.v1beta1.Tag tag = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the tag field is set. |
hasUpdateMask()
public abstract boolean hasUpdateMask() Note: Currently, this parameter can only take "fields" as value.
Names of fields whose values to overwrite on a tag. Currently, a tag has
the only modifiable field with the name fields.
In general, if this parameter is absent or empty, all modifiable fields are overwritten. If such fields are non-required and omitted in the request body, their values are emptied.
.google.protobuf.FieldMask update_mask = 2;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the updateMask field is set. |